routes/web.php
<?php

//use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
|
*/

use Illuminate\Http\Request;

Route::get('/', function () {
    return redirect()->route('login');
});
Route::get('cekLogin', 'Auth\LoginController@cek')->name('cek.login');
Route::get('empty/email', function () {
    return cekEmail();
})->name('cekId');
Route::post('api/users/update/email', function () {
    DB::table('data_pribadi')->where('idp', useridp())->update(['email1' => request()->email]);
    DB::connection('loker')->table('data_pribadi')->where('idp', useridp())->update(['email1' => request()->email]);
    return response()->json(['status' => "success", 'data' => request()->email], 200);
})->name('api.update.email');
Route::post('api/login', 'ApiController@login')->name('sso.login');
Route::get('aja/logout', function () {
    session()->forget(['login', 'user']);
    return redirect()->route('login');
})->name('logout.aja');
Route::get('/tes', 'TesController@index');
Route::post('/tes', 'TesController@index');
Route::livewire('/users', 'user.index')->name('users.index');
Auth::routes(['register' => false]);
Route::get('/home', 'HomeController@index')->name('home');
Route::group(['middleware' => ['auth'], 'prefix' => 'admin'], function () {
    Route::resource('user', 'UsersController');
    Route::post('user/api', 'UsersController@list')->name('user.api');
    Route::group(['prefix' => 'acl'], function () {
        Route::get('/', 'RoleController@index')
            ->name('access');
        Route::resource('role', 'RoleController');
        Route::get('show/permission/role', 'RoleController@rolePermission')->name('role.permisiion');
        Route::post('show/permission/role/set', 'RoleController@setRolePermission')->name('role.permisiion.set');
        Route::post('api/role', 'RoleController@roleList')->name('api.role');
        Route::resource('permission', 'PermissionController');
        Route::post('api/permission', 'PermissionController@permissionList')->name('api.permission');
    });
});
Route::get('lang/{language}', 'LocalizationController@switch')->name('localization.switch');
// Route::group(['middleware' => ['Login'], 'prefix' => 'admin'], function () {
// });
Route::group(['middleware' => ['Login'], 'prefix' => 'layanan'], function () {
    Route::resource('pembayaran', 'PembayaranController');
    Route::get('full/pembayaran', 'PembayaranController@full')->name('full');
    Route::get('donlot/bukti/', 'PembayaranController@donlot')->name('donlot.bukti');
    Route::get('proses/bayar/{id}', 'PembayaranController@proses')->name('proses.bayar');
    Route::post('proses/bayar/{id}', 'PembayaranController@proses')->name('proses.bayar');
    Route::post('api/pembayaran', 'PembayaranController@listData')->name('api.pembayaran');
    Route::post('api/tagihan/pembayaran', 'PembayaranController@tagihan')->name('api.tagihan.pembayaran');
    Route::get('tagihan/pembayaran', 'PembayaranController@tagihanKu')->name('tagihan.tagihanKu');
    Route::get('detil/biaya', 'PembayaranController@detilBiaya')->name('detil.tagihanKu');
    Route::post('hapus/pembayaran', 'PembayaranController@hapus')->name('hapus.pembayaran');
    Route::post('api/histori', 'HistoryController@dataList')->name('api.histori');
    Route::get('histori', 'HistoryController@index')->name('histori.pembayaran');
    Route::get('kirim/bukti', 'HistoryController@kirim')->name('kirim.bukti');
    Route::post('kirim/bukti', 'HistoryController@kirim')->name('kirim.bukti');
    Route::get('rincian/biaya', 'HistoryController@rincian')->name('rincian.user');
    Route::get('sgs', 'SGSController@index')->name('sgs');
    Route::post('sgs', 'SGSController@listData')->name('sgs.api');
    Route::get('teman', 'TemanController@index')->name('teman');
    Route::post('api/teman/sekampung', 'TemanController@sekampung')->name('teman.sekampung');
    Route::post('api/teman/seangkatan', 'TemanController@seangkatan')->name('teman.seangkatan');
    Route::post('api/teman/sejurusan', 'TemanController@sejurusan')->name('teman.sejurusan');
});
Route::group(['middleware' => ['Petugas'], 'prefix' => 'sistem'], function () {
    Route::resource('pengguna', 'PenggunaController');
    Route::post('api/pengguna', 'PenggunaController@listData')->name('api.pengguna');
    Route::get('rekap-pembayaran', 'PembayaranMhsController@index')->name('rekap.pembayaran');
    Route::get('/rekap/detil/{nim}', 'PembayaranMhsController@detail')->name('detil.pembayaran');
    Route::post('api/rekap-pembayaran', 'PembayaranMhsController@dataList')->name('api.rekap.pembayaran');
});
Route::get('reload/capta', function () {
    return response()->json(['captcha' => captcha_img()]);
})->name('reload.ca');
Route::group(['middleware' => ['Petugas'], 'prefix' => 'ujian'], function () {
    Route::resource('peserta', 'PesertaController');
    Route::get('export/peserta', 'PesertaController@export')->name('export.peserta');
    Route::post('api/peserta', 'PesertaController@dataList')->name('api.peserta');
    Route::get('template/peserta', 'PesertaController@template')->name('template');
    Route::get('template/upload', 'PesertaController@upload')->name('template.upload');
    Route::post('template/upload', 'PesertaController@upload')->name('template.upload');
    Route::post('kosongkan/peserta', 'PesertaController@pesertaDelete')->name('destoyed.peserta');
    Route::get('mahasiswa', function (Request $req) {
        if (!empty($req->has('q'))) {
            $cari = $req->q;
            $data = DB::table('_mahasiswa')->where('nama', 'LIKE', '%' . $cari . '%')->limit(100)
                ->orderBy('nama', 'ASC')->get();
            return response()->json($data);
        } else {
            $data = DB::table('_mahasiswa')->orderBy('nama', 'ASC')->limit(100)->get();
            return response()->json($data);
        }
    })->name('all.mhs');
    Route::get('mhs/info', function (Request $req) {
        $data = DB::table('_mahasiswa')->where('nim', request()->nim)->first();
        return response()->json(['nim' => $data->nim, 'idp' => $data->idp, 'nama' => $data->nama]);
    })->name('mhs.info');
    Route::resource('data-ujian', 'DataUjianController');
    Route::post('api/list/ujian', 'DataUjianController@dataList')->name('list.ujian');
    Route::resource('jadwal', 'JadwalUjianController');
    Route::post('api/list/jadwal-ujian', 'JadwalUjianController@dataList')->name('jadwal.list.ujian');
    Route::get('template/jadwal', 'JadwalUjianController@template')->name('template.jadwal');
    Route::post('template/jadwal/upload', 'JadwalUjianController@upload')->name('template.ujian.upload');
    Route::get('template/jadwal/upload', 'JadwalUjianController@upload')->name('template.ujian.upload');
    Route::post('kosongkan/jadwal/ujian', 'JadwalUjianController@hapus')->name('destoyed.jadwal');
    Route::resource('soal', 'SoalUjianController');
    Route::post('api/soal', 'SoalUjianController@dataList')->name('list.soal');
    Route::get('jawaban-mhs', 'JawabanController@index')->name('jawaban.mhs');
    Route::post('api/jawaban-mhs', 'JawabanController@dataList')->name('list.jawaban.mhs');
    Route::get('data/soal', 'JawabanController@soal')->name('und.soal');
    Route::get('data/jwb', 'JawabanController@jawaban')->name('und.jawaban');
});
// Route::group(['middleware' => ['Login'], 'prefix' => 'dashboard'], function () {
//     Route::get('ujian', 'SoalMhsController@index')->name('soal.mhs');
//     Route::post('token/ujian', 'SoalMhsController@cekToken')->name('cekToken.soal.mhs');
//     Route::get('soal/ujian/{token}/{jadwal}', 'SoalMhsController@soal')->name('soal.untuk.siswa');
//     Route::post('upload/file/ujian/', 'SoalMhsController@uplod')->name('soal.file.siswa');
//     Route::get('upload/file/ujian', 'SoalMhsController@uploadSoal')->name('soal.xx.siswa');
// });

resources/views/layouts/patial/asside.blade.php
<div id="chat">
    <div id="chat-circle" class="btn btn-raised  d-lg-block d-none">
        <i class="flaticon-comment"></i>
    </div>
    <div class="chat-box">
        <div class="chat-box-header">
            <div class="media">
                <i class="flaticon-chat-fill-1 chat align-self-center mr-3"></i>
                <img src="assets/img/90x90.jpg" class="rounded-circle mr-2 mt-2" alt="user">
                <div class="media-body">
                    <h6 class="mt-2 mb-1">Equation Admin</h6>
                    <p>How May I help you ?</p>
                </div>
                <span class="chat-box-toggle mt-1"><i class="flaticon-close-fill"></i></span>
            </div>
        </div>
        <div class="chat-box-body">
            <div class="chat-box-overlay">
            </div>
            <div class="chat-logs">
            </div>
        </div>
        <div class="chat-input">
            <form>
                <input type="text" id="chat-input" placeholder="Send a message...">
                <button type="submit" class="chat-submit" id="chat-submit"><i class="flaticon-send-fill-1 chat"></i>
                </button>
            </form>
        </div>
    </div>
</div>

resources/views/layouts/patial/header.blade.php
<header class="header navbar fixed-top navbar-expand-sm">
    <a href="javascript:void(0);" class="sidebarCollapse d-none d-lg-block" data-placement="bottom"><i
            class="flaticon-menu-line-2"></i></a>

    <ul class="navbar-nav flex-row">
        <li class="nav-item dropdown language-dropdown ml-1  ml-lg-0">
            <a href="javascript:void(0);" class="nav-link dropdown-toggle" id="flagDropdown" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">
                @if(str_replace('_', '-', app()->getLocale())=='id')
                <img src="{{asset('assets/img/id.png')}}" alt=""> <span class="d-lg-inline-block d-none"></span>
                @else
                <img src="{{asset('assets/img/en.png')}}" alt=""> <span class="d-lg-inline-block d-none"></span>
                @endif
            </a>
            <div class="dropdown-menu position-absolute" aria-labelledby="flagDropdown">
                @if (str_replace('_', '-', app()->getLocale())=='id')
                <a class="dropdown-item" href="{{ route('localization.switch', 'en') }}">
                    <img src="{{asset('assets/img/en.png')}}" class="flag-width" alt="">
                    &#xA0;English</a>
                @else
                <a class="dropdown-item" href="{{ route('localization.switch', 'id') }}">
                    <img src="{{asset('assets/img/id.png')}}" class="flag-width" alt="">
                    &#xA0;Indonesia</a>
                @endif

            </div>
        </li>
    </ul>


    <ul class="navbar-nav flex-row ml-lg-auto">

        <li class="nav-item  d-lg-block d-none">
            <form class="form-inline" role="search">
                <input type="text" class="form-control search-form-control" placeholder="Search...">
            </form>
        </li>




        <li class="nav-item dropdown user-profile-dropdown ml-lg-0 mr-lg-2 ml-3 order-lg-0 order-1">
            <a href="javascript:void(0);" class="nav-link dropdown-toggle user" id="userProfileDropdown"
                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="flaticon-user-12"></span>
            </a>
            <div class="dropdown-menu  position-absolute" aria-labelledby="userProfileDropdown">
                <a class="dropdown-item" href="#">
                    <i class="mr-1 flaticon-user-6"></i> <span>{{ session()->get('user')->data->nama}}</span>
                </a>
                <a class="dropdown-item" href="#">
                    <i class="mr-1 flaticon-calendar-bold"></i>
                    <span>{{ session()->get('user')->data->username}}</span>
                </a>


                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="{{ route('logout.aja') }}">
                    <i class="mr-1 flaticon-power-button"></i> <span>Log Out</span>
                </a>

            </div>
        </li>


    </ul>
</header>

resources/views/layouts/patial/menu.blade.php
<ul class="list-unstyled menu-categories" id="accordionExample">
    <li class="menu {{ Request::segment(1) === 'home' ? 'active' : '' }} ">
        <a href="{{route('home')}}" aria-expanded="false" class="dropdown-toggle">
            <div class="{{ Request::segment(1) === 'home' ? 'active' : '' }}">
                <i class="flaticon-home-fill ml-3"></i>
                <span>Home</span>
            </div>


        </a>

    </li>
    @can('admin')
    <li class="menu">
        <a href="#ecommerce" data-toggle="collapse"
            aria-expanded="{{ Request::segment(1) === 'admin' ? 'true' : 'false' }}" class="dropdown-toggle">
            <div class="">
                <i class="flaticon-lock-4"></i>
                <span>Admin</span>
            </div>
            <div>
                <i class="flaticon-right-arrow"></i>
            </div>
        </a>
        <ul class="collapse submenu list-unstyled {{ Request::segment(1) === 'admin' ? 'show' : '' }}  " id="ecommerce"
            data-parent="#accordionExample">
            <li class="{{ Request::segment(2) === 'user' ? 'active' : null }}">
                <a href="{{route('user.index')}}"> {{trans('user')}} </a>
            </li>
            <li class="{{ Request::segment(2) === 'acl' ? 'active' : '' }}">
                <a href="{{route('access')}}"> {{trans('akses')}} </a>
            </li>
            <li>
                <a href="ecommerce_product.html"> Products </a>
            </li>
            <li>
                <a href="ecommerce_product_catalog.html"> Product Catalog </a>
            </li>
            <li>
                <a href="#product-details" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle"
                    data-parent="#ecommerce"> Product Details <i class="flaticon-right-arrow"></i> </a>
                <ul class="collapse list-unstyled sub-submenu" id="product-details">
                    <li>
                        <a href="ecommerce_product_details_1.html"> Product Details 1 </a>
                    </li>
                    <li>
                        <a href="ecommerce_product_details_2.html"> Product Details 2 </a>
                    </li>
                </ul>
            </li>


        </ul>
    </li>
    @endcan

    @if (in_array('9', role()) || in_array('2', role()) || in_array('4', role()) || in_array('3', role()))
    <li class="menu">
        <a href="#ui-features1" data-toggle="collapse"
            aria-expanded="{{ Request::segment(1) === 'sistem' ? 'true' : 'false' }}" class="dropdown-toggle">
            <div class="">
                <i class="flaticon-settings-2"></i>
                <span>Sistem</span>
            </div>
            <div>
                <i class="flaticon-right-arrow"></i>
            </div>
        </a>
        <ul class="collapse submenu list-unstyled {{ Request::segment(1) === 'sistem' ? 'show' : '' }}"
            id="ui-features1" data-parent="#accordionExample">
            <li class="{{ Request::segment(2) === 'pengguna' ? 'active' : null }}">
                <a href="{{ route('pengguna.index') }}">Pangguna </a>
            </li>
            <li class="{{ Request::segment(2) === 'rekap-pembayaran' ? 'active' : null }}">
                <a href="{{ route('rekap.pembayaran') }}"> Rekap Pembayaran </a>
            </li>
            <li>
                <a href="{{ route('sgs') }}"> Data SGS </a>
            </li>

        </ul>
    </li>
    @endif
    @if (in_array('9', role()) || in_array('2', role()) || in_array('4', role()) || in_array('3', role()))
    <li class="menu">
        <a href="#ui-features2" data-toggle="collapse"
            aria-expanded="{{ Request::segment(1) === 'sistem' ? 'true' : 'false' }}" class="dropdown-toggle">
            <div class="">
                <i class="flaticon-notes"></i>
                <span>Ujian</span>
            </div>
            <div>
                <i class="flaticon-right-arrow"></i>
            </div>
        </a>
        <ul class="collapse submenu list-unstyled {{ Request::segment(1) === 'ujian' ? 'show' : '' }}" id="ui-features2"
            data-parent="#accordionExample">
            <li class="{{ Request::segment(2) === 'peserta' ? 'active' : null }}">
                <a href="{{ route('peserta.index') }}">Peserta </a>
            </li>
            <li class="{{ Request::segment(2) === 'data-ujian' ? 'active' : null }}">
                <a href="{{ route('data-ujian.index') }}"> Data Ujian </a>
            </li>
            <li class="{{ Request::segment(2) === 'jadwal' ? 'active' : null }}">
                <a href="{{ route('jadwal.index') }}"> Jadwal </a>
            </li>
            <li class="{{ Request::segment(2) === 'soal' ? 'active' : null }}">
                <a href="{{ route('soal.index') }}"> Soal </a>
            </li>
            <li class="{{ Request::segment(2) === 'jawaban-mhs' ? 'active' : null }}">
                <a href="{{ route('jawaban.mhs') }}"> Data Jawaban Mhs </a>
            </li>

        </ul>
    </li>
    @endif
    <li class="menu">
        <a href="#ui-krs" data-toggle="collapse"
            aria-expanded="{{ Request::segment(1) === 'krs' ? 'true' : 'false' }}" class="dropdown-toggle">
            <div class="">
                <i class="flaticon-crm-screen"></i>
                <span>KRS</span>
            </div>
            <div>
                <i class="flaticon-right-arrow"></i>
            </div>
        </a>
        <ul class="collapse submenu list-unstyled {{ Request::segment(1) === 'krs' ? 'show' : '' }}" id="ui-krs"
            data-parent="#accordionExample">
            
            <li class="{{ Request::segment(2) === 'jadwal' ? 'active' : null }}">
                <a href="{{ route("jadwal.index") }}">Jadwal Kuliah </a>
            </li>
            <li class="{{ Request::segment(2) === 'index' ? 'active' : null }}">
                <a href="{{ route('krs.index') }}"> KRS WAR </a>
            </li>
            
            
           

        </ul>
    </li>

    <li class="menu">
        <a href="#ui-features" data-toggle="collapse"
            aria-expanded="{{ Request::segment(1) === 'layanan' ? 'true' : 'false' }}" class="dropdown-toggle">
            <div class="">
                <i class="flaticon-package"></i>
                <span>{{ trans('baku.Layanan') }}</span>
            </div>
            <div>
                <i class="flaticon-right-arrow"></i>
            </div>
        </a>
        <ul class="collapse submenu list-unstyled {{ Request::segment(1) === 'layanan' ? 'show' : '' }}"
            id="ui-features" data-parent="#accordionExample">
            <li class="{{ Request::segment(2) === 'pembayaran' ? 'active' : null }}">
                <a href="{{ route('pembayaran.index') }}"> {{ trans('baku.Pembayaran') }} </a>
            </li>
            <li class="{{ Request::segment(2) === 'histori' ? 'active' : null }}">
                <a href="{{ route('histori.pembayaran') }}"> {{ trans('baku.riwayat_pembayaran') }}</a>
            </li>
            <li class="{{ Request::segment(2) === 'sgs' ? 'active' : null }}">
                <a href="{{ route('sgs') }}"> SGS</a>
            </li>
            @if (in_array('9', role()) || in_array('2', role()) || in_array('4', role()) || in_array('3', role()))

            @else
            <li class="{{ Request::segment(2) === 'tagihan' ? 'active' : null }}">
                <a href="{{ route('tagihan.tagihanKu') }}"> Tagihan</a>
            </li>
            <li class="{{ Request::segment(2) === 'teman' ? 'active' : null }}">
                <a href="{{ route('teman') }}"> Teman</a>
            </li>

            @endif
            


</ul>
</li>
<li class="menu">
    <a href="#ui-features3" data-toggle="collapse"
        aria-expanded="{{ Request::segment(1) === 'e-class' ? 'true' : 'false' }}" class="dropdown-toggle">
        <div class="">
            <i class="flaticon-notes"></i>
            <span>E-Class</span>
        </div>
        <div>
            <i class="flaticon-right-arrow"></i>
        </div>
    </a>
    <ul class="collapse submenu list-unstyled {{ Request::segment(1) === 'e-class' ? 'show' : '' }}" id="ui-features3"
        data-parent="#accordionExample">
        <li class="{{ Request::segment(2) === 'e-class' ? 'active' : null }}">
            <a href="{{ route('e-class.dashboard') }}">Dashboard </a>
        </li>
        {{-- <li class="{{ Request::segment(2) === 'data-ujian' ? 'active' : null }}">
            <a href="{{ route('data-ujian.index') }}"> Data Ujian </a>
        </li>
        <li class="{{ Request::segment(2) === 'jadwal' ? 'active' : null }}">
            <a href="{{ route('jadwal.index') }}"> Jadwal </a>
        </li>
        <li class="{{ Request::segment(2) === 'soal' ? 'active' : null }}">
            <a href="{{ route('soal.index') }}"> Soal </a>
        </li>
        <li class="{{ Request::segment(2) === 'jawaban-mhs' ? 'active' : null }}">
            <a href="{{ route('jawaban.mhs') }}"> Data Jawaban Mhs </a>
        </li> --}}

    </ul>
</li>

<li class="menu">
    <a href="#ui-features4" data-toggle="collapse"
        aria-expanded="{{ Request::segment(1) === 'developer' ? 'true' : 'false' }}" class="dropdown-toggle">
        <div class="">
            <i class="flaticon-building-1"></i>
            <span>Developer</span>
        </div>
        <div>
            <i class="flaticon-right-arrow"></i>
        </div>
    </a>
    <ul class="collapse submenu list-unstyled {{ Request::segment(1) === 'developer' ? 'show' : '' }}" id="ui-features4"
        data-parent="#accordionExample">
        <li class="{{ Request::segment(2) === 'app' ? 'active' : null }}">
            <a href="{{ route('tentang') }}">Tentang Aplikasi </a>
        </li>
        <li class="{{ Request::segment(2) === 'saran' ? 'active' : null }}">
            <a href="{{ route('saran.index') }}"> Kritik Dan Saran </a>
        </li>
         {{--<li class="{{ Request::segment(2) === 'jadwal' ? 'active' : null }}">
            <a href="{{ route('jadwal.index') }}"> Jadwal </a>
        </li>
        <li class="{{ Request::segment(2) === 'soal' ? 'active' : null }}">
            <a href="{{ route('soal.index') }}"> Soal </a>
        </li>
        <li class="{{ Request::segment(2) === 'jawaban-mhs' ? 'active' : null }}">
            <a href="{{ route('jawaban.mhs') }}"> Data Jawaban Mhs </a>
        </li> --}}

    </ul>
</li>

{{-- <li class="menu {{ Request::segment(1) === 'dashboard' ? 'active' : '' }} ">
    <a href="{{route('soal.mhs')}}" aria-expanded="false" class="dropdown-toggle">
        <div class="{{ Request::segment(1) === 'dashboard' ? 'active' : '' }}">
            <i class="flaticon-computer-6  ml-3"></i>
            <span>Dashboard Ujian</span>
        </div>


    </a>

</li> --}}



</ul>